## org.apache.xpath
Class SourceTree

    java.lang.Object
      |
      +--org.apache.xpath.SourceTree

public class SourceTree
extends java.lang.Object

This object represents a Source Tree, and any associated information.

Usage:
  **For internal use only**

Field Summary
`int` `m_root` The root of the source tree, which may or may not be a `Document` node.
`java.lang.String` `m_url` The URI of the source tree.

Constructor Summary
`SourceTree(int root, java.lang.String url)` Constructor SourceTree

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_url

    public java.lang.String m_url

  The URI of the source tree.

### m_root

    public int m_root

  The root of the source tree, which may or may not be a `Document` node.

Constructor Detail

### SourceTree

    public SourceTree(int root,
                      java.lang.String url)

  Constructor SourceTree
  Parameters:
    `root` - The root of the source tree, which may or may not be a `Document` node.
    `url` - The URI of the source tree.

Copyright © 2006 Apache XML Project. All Rights Reserved.